Subject: Re: bug#56407: 29.0.50; desktop.el shouldn't be saving/restoring eglot--managed-mode, which is not for interactive use

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Jul 2022 05:34:06 +0300

> From: João Távora <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 05 Jul 2022 23:52:35 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >  Your change also precludes anyone to have such
> > a mode restored, ever -- why?
> 
> I'm sorry, I realize I didn't answer this part of your email earlier.
> 
> eglot--managed-mode is a special minor mode:

I meant _any_ mode that has "--" in its symbol, not just
eglot--managed-mode.  I don't want to preclude restoration of any such
modes, from now to eternity, it's too heavy a promise to make.